=== debian/changelog ===
fontforge (1:20201107~dfsg-4build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:13:50 +0000

fontforge (1:20201107~dfsg-4) unstable; urgency=medium

  * Rename extended to extendeddbl to avoid FTBFS on Hurd.
    gnumach-dev 1.8+git20201129 added to /usr/include/i386-gnu/mach/i386/fp_reg.h
    a new "extended" field which happens to collide with the custom-defined
    "extended" type in FontForge, leading to FTBFS on hurd-i386.
    See 0005-hurd-rename-extended-to-avoid-conflict-with-gnumach-dev.patch
  * Rename 0004-hurd-compatibility.patch to 0004-hurd-PATH_MAX-and-MAXPATHLEN.patch

 -- Anthony Fok <foka@debian.org>  Fri, 15 Jan 2021 08:55:46 -0700

fontforge (1:20201107~dfsg-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Reduce Build-Depends via Build-Depends-Indep. (Closes: #977954)

  [ Anthony Fok ]
  * debian/control:
    - Remove uthash-dev and libxt-dev from build-dependency as they are not
      used any more by the build.  Thanks to Helmut Grohne for the suggestion.
    - Specify that fontforge "Provides: fontforge-nox" (Closes: #976736)
    - debian/control: Remove "XS-Python-Version: all" which was for Python 2
    - Bump Standards-Version to 4.5.1 (no change)
  * Define PATH_MAX and MAXPATHLEN to fix FTBFS on GNU/Hurd.
    See debian/patches/0004-hurd-compatibility.patch (Closes: #877795)
  * 2003_avoid_privacy_breach.patch: Fix "more than 2 sections in header"
    error as reported by "cme fix dpkg"
  * debian/fontforge*.install: Sort lines in alphabetical order, by
    "cme fix dpkg"

 -- Anthony Fok <foka@debian.org>  Fri, 15 Jan 2021 00:41:32 -0700

fontforge (1:20201107~dfsg-2) unstable; urgency=medium

  * debian/libfontforge4.install: Fix incorrect path.  For example, on i386,
    /usr/bin/${DEB_HOST_GNU_TYPE} resolves to /usr/bin/i686-linux-gnu which
    does not exist on Debian, whereas /usr/bin/${DEB_HOST_MULTIARCH} correctly
    resolves to /usr/bin/i386-linux-gnu that we need (Closes: #975460)
  * debian/rules: Fix binary-indep build by adding override_dh_missing-indep
  * Add debian/python3-fontforge.lintian-overrides
    as Lintian fails to find libfontforge.so.4 (from libfontforge4 package)
    and thus raises false library-not-linked-against-libc errors
  * Update debian/libfontforge4.lintian-overrides
    to point the new location of libfontforge.so.4
  * Remove obsolete debian/libfontforge-dev.links
  * Add debian/patches/2004-fix-privacy-breach-logo.patch
    to fix Lintian privacy-breach-logo errors in the Japanese translation
    of old FontForge documentation
  * Add 0003-use-local-libjs-mathjax.patch and fontforge-doc.links
    to fix Lintian privacy-breach-generic warnings
  * Fix Lintian link-to-shared-library-in-wrong-package warning by removing
    unused usr/lib/*/libfontforge.so symlink from libfontforge4 package
  * Mark libfontforge4 and python3-fontforge "Multi-Arch: same"
    as suggested by Multiarch hinter

 -- Anthony Fok <foka@debian.org>  Tue, 24 Nov 2020 18:21:25 -0700

fontforge (1:20201107~dfsg-1) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * New upstream version 20200314~dfsg (Closes: #963194)
    + Fixes two security vulnerabilities:
      - CVE-2020-5395 (use-after-free in SFD_GetFontMetaData in sfd.c)
      - CVE-2020-5496 (heap-based buffer overflow in the Type2NotDefSplines()
        function in splinesave.c)
      that were found in FontForge 20190801 (Closes: #948231)
  * copyright: update overage
  * use buildsystem cmake+ninja (not autotools);
    build-depend on cmake ninja-build
    (not libltdl-dev autoconf-archive)
  * stop build-depend on chrpath
    (unused since 1:20160404~dfsg-1)
  * update install paths
    (upstream installs appdata in correct path now)
  * drop patches 0003 0004 2002 3000:
    obsoleted by new upstream release
  * update (and reduce) patch 2003
  * add patches cherry-picked upstream to fix a range of issues
    Fixes "FTBFS on 64-bit big endian: test failures" (Closes: #961841)
  * bump library API major version to 4
  * drop libgdraw package:
    upstream no longer provides that as shared library
  * stop ship python simple/* scripts:
    No longer installed upstream
  * Temporarily omit installing scripts for fontforge-extras,
    seemingly not built upstream
  * build sphinx documentation;
    build-depend on dh-sequence-sphinxdoc
  * stop ship extra libraries libgunicode.so libgutils.so:
    upstream no longer provides those as shared library

  [ Hideki Yamane ]
  * specify dh 13
  * fix to add ${DEB_HOST_MULTIARCH} for libfontforge.so path
  * Add python3-sphinx for document build for GUI build
  * Add more build options MAINTAINER_TOOLS and WRITE_PFM

  [ Anthony Fok ]
  * New upstream version 20201107~dfsg (FontForge 20th Anniversary Edition)
    + Display issues on Wayland are now fixed (Closes: #961640)
  * Remove cherry-picked upstream patches as they are included in 20201107
  * debian/rules: Change override_dh_* to execute_before_dh_* where possible
  * Remove libfontforge-dev package.  Upstream has decided to stop installing
    development files since 20200314 due to unstable stable API or ABI etc.
    No Debian package has ever build-depended on libfontforge-dev either.
  * Install README.md instead of the now nonexistent README
  * debian/control: Add ${sphinxdoc:Depends} and ${sphinxdoc:Built-Using}
    for python3-fontforge
  * debian/rules: Remove manual call to sphinx-build
    as it is already called by upstream doc/CMakeLists.txt
  * Restore files that were installed to fontforge-extras and python3-fontforge
    prior to the FontForge 2020 March Release by patching CMakeLists.txt
    files, see debian/patches/0001-add-extra-cmake-install-rules.patch
  * Add debian/libfontforge4.install as we no longer uses d-shlibs
  * Add and fix other debian/*.install, debian/*.manpages and debian/rules
    so that all files are installed properly

