=== debian/control ===
Source: fontforge
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Davide Viti <zinosat@tiscali.it>,
 Hideki Yamane <henrich@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
 Rogério Brito <rbrito@ime.usp.br>,
 Vasudev Kamath <vasudev@copyninja.info>,
 Anthony Fok <foka@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-sequence-python3,
 shared-mime-info,
 libreadline-dev,
 libcairo2-dev,
 libfreetype-dev,
 libgif-dev,
 libjpeg-dev,
 libpango1.0-dev,
 libpng-dev,
 libspiro-dev,
 libtiff5-dev,
 libuninameslist-dev,
 libxml2-dev,
 libglib2.0-dev,
 ninja-build,
 python3,
 python3-dev,
 libwoff-dev,
 libgtk-3-dev,
 pkg-kde-tools
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 desktop-file-utils,
 potrace,
 python3-sphinx,
Standards-Version: 4.5.1
Homepage: https://fontforge.github.io/en-US/
Vcs-Git: https://salsa.debian.org/fonts-team/fontforge.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fontforge
Rules-Requires-Root: no

Package: fontforge
Architecture: any
Multi-Arch: foreign
Depends:
 fontforge-common (= ${source:Version}),
 libfontforge4 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 fontforge-nox
Provides:
 fontforge-nox
Suggests:
 fontforge-doc,
 fontforge-extras,
 potrace,
 python3-fontforge,
Description: font editor
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package also provides these programs and utilities:
  fontimage - produce a font thumbnail image;
  fontlint  - checks the font for certain common errors;
  sfddiff   - compare two font files.

Package: fontforge-nox
Architecture: any
Multi-Arch: foreign
Depends:
 fontforge-common (= ${source:Version}),
 libfontforge4 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 fontforge
Description: font editor - non-X version
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package also provides these programs and utilities:
  fontimage - produce a font thumbnail image;
  fontlint  - checks the font for certain common errors;
  sfddiff   - compare two font files.
 .
 This package contains a version of FontForge compiled with support for
 scripting but no GUI, and not require the graphics library.

Package: fontforge-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Breaks:
 fontforge (<< 1:20160404~dfsg-3),
 fontforge-nox (<< 1:20160404~dfsg-3)
Recommends:
 fonts-cantarell,
 fonts-inconsolata
Description: font editor (common files)
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package contains common arch-independent files.

Package: libfontforge4
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libfontforge2,
 libfontforge3,
 libgdraw5,
 libgdraw6,
Replaces:
 libfontforge2,
 libfontforge3,
 libgdraw5,
 libgdraw6,
Description: font editor - runtime library
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package contains the runtime library.

Package: python3-fontforge
Architecture: any
Multi-Arch: same
Depends:
 libfontforge4 (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends: 
 fontforge-nox | fontforge,
Breaks:
 python-fontforge
Replaces:
 python-fontforge
Section: python
Description: font editor - Python bindings
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package provides the Python modules (the libraries fontforge and
 psMat) to access a FontForge program for font manipulations.

Package: fontforge-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for fontforge
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package contains the documentation for fontforge.

Package: fontforge-extras
Architecture: any
Multi-Arch: foreign
Depends:
 fontforge-common (= ${source:Version}),
 libfontforge4 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: font editor - extra programs
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package also provides these programs and utilities:
  acorn2sfd
  dewoff
  woff
  findtable
  pcl2ttf
  pfadecrypt
  rmligamarks
  showttf
  stripttc
  ttf2eps
